Loading...
Searching...
No Matches
mbedtls_rsa_context Struct Reference

The RSA context structure. More...

`#include <rsa.h>`

Collaboration diagram for mbedtls_rsa_context:
[legend]

## Data Fields

int | private_ver
size_t | private_len
mbedtls_mpi | private_N
mbedtls_mpi | private_E
mbedtls_mpi | private_D
mbedtls_mpi | private_P
mbedtls_mpi | private_Q
mbedtls_mpi | private_DP
mbedtls_mpi | private_DQ
mbedtls_mpi | private_QP
mbedtls_mpi | private_RN
mbedtls_mpi | private_RP
mbedtls_mpi | private_RQ
mbedtls_mpi | private_Vi
mbedtls_mpi | private_Vf
int | private_padding
int | private_hash_id
mbedtls_threading_mutex_t | private_mutex
int | dummy

## Detailed Description

The RSA context structure.

Definition at line 85 of file rsa.h.

## Field Documentation

## dummy

int mbedtls_rsa_context::dummy

Definition at line 11 of file rsa_alt.h.

## private_D

mbedtls_mpi mbedtls_rsa_context::private_D

The private exponent.

Definition at line 95 of file rsa.h.

## private_DP

mbedtls_mpi mbedtls_rsa_context::private_DP

`D % (P - 1)`.

Definition at line 99 of file rsa.h.

## private_DQ

mbedtls_mpi mbedtls_rsa_context::private_DQ

`D % (Q - 1)`.

Definition at line 100 of file rsa.h.

## private_E

mbedtls_mpi mbedtls_rsa_context::private_E

The public exponent.

Definition at line 93 of file rsa.h.

## private_hash_id

int mbedtls_rsa_context::private_hash_id

Hash identifier of mbedtls_md_type_t type, as specified in md.h for use in the MGF mask generating function used in the EME-OAEP and EMSA-PSS encodings.

Definition at line 114 of file rsa.h.

## private_len

size_t mbedtls_rsa_context::private_len

The size of `N` in Bytes.

Definition at line 90 of file rsa.h.

## private_mutex

mbedtls_threading_mutex_t mbedtls_rsa_context::private_mutex

Thread-safety mutex.

Definition at line 120 of file rsa.h.

## private_N

mbedtls_mpi mbedtls_rsa_context::private_N

The public modulus.

Definition at line 92 of file rsa.h.

## private_P

mbedtls_mpi mbedtls_rsa_context::private_P

The first prime factor.

Definition at line 96 of file rsa.h.

## private_padding

int mbedtls_rsa_context::private_padding

Selects padding mode: MBEDTLS_RSA_PKCS_V15 for 1.5 padding and MBEDTLS_RSA_PKCS_V21 for OAEP or PSS.

Definition at line 111 of file rsa.h.

## private_Q

mbedtls_mpi mbedtls_rsa_context::private_Q

The second prime factor.

Definition at line 97 of file rsa.h.

## private_QP

mbedtls_mpi mbedtls_rsa_context::private_QP

`1 / (Q % P)`.

Definition at line 101 of file rsa.h.

## private_RN

mbedtls_mpi mbedtls_rsa_context::private_RN

cached `R^2 mod N`.

Definition at line 103 of file rsa.h.

## private_RP

mbedtls_mpi mbedtls_rsa_context::private_RP

cached `R^2 mod P`.

Definition at line 105 of file rsa.h.

## private_RQ

mbedtls_mpi mbedtls_rsa_context::private_RQ

cached `R^2 mod Q`.

Definition at line 106 of file rsa.h.

## private_ver

int mbedtls_rsa_context::private_ver

Reserved for internal purposes. Do not set this field in application code. Its meaning might change without notice.

Definition at line 86 of file rsa.h.

## private_Vf

mbedtls_mpi mbedtls_rsa_context::private_Vf

The cached un-blinding value.

Definition at line 109 of file rsa.h.

## private_Vi

mbedtls_mpi mbedtls_rsa_context::private_Vi

The cached blinding value.

Definition at line 108 of file rsa.h.

The documentation for this struct was generated from the following files:

- rsa.h
- rsa_alt.h